<?xml version="1.0" encoding="utf-8"?>
<manifest
	xmlns:android="http://schemas.android.com/apk/res/android"
	package="com.wytehat.btlogger"
	android:versionCode="1"
	android:versionName="1.0">

	<uses-sdk
		android:minSdkVersion="14"
		android:targetSdkVersion="29"/>

	<uses-permission
		android:name="android.permission.BLUETOOTH"/>

	<uses-permission
		android:name="android.permission.BLUETOOTH_ADMIN"/>

	<uses-permission
		android:name="android.permission.BLUETOOTH_CONNECT"/>

	<uses-permission
		android:name="android.permission.BLUETOOTH_SCAN"/>

	<uses-permission
		android:name="android.permission.ACCESS_FINE_LOCATION"/>

	<uses-permission
		android:name="android.permission.ACCESS_COARSE_LOCATION"/>

	<uses-permission
		android:name="android.permission.ACCESS_BACKGROUND_LOCATION"/>

	<uses-permission
		android:name="android.permission.FOREGROUND_SERVICE"/>

	<uses-permission
		android:name="android.permission.POST_NOTIFICATIONS"/>

	<uses-permission
		android:name="android.permission.CAMERA"/>

	<uses-permission
		android:name="android.permission.READ_EXTERNAL_STORAGE"/>

	<uses-permission
		android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>

	<uses-permission
		android:name="android.permission.INTERNET"/>

	<uses-permission
		android:name="android.permission.VIBRATE"/>

	<uses-permission
		android:name="android.permission.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS"/>

	<uses-feature
		android:name="android.hardware.camera"
		android:required="false"/>

	<application
		android:allowBackup="true"
		android:icon="@drawable/ic_launcher"
		android:label="@string/app_name"
		android:theme="@style/AppTheme">

		<activity
			android:name=".MainActivity"
			android:label="@string/app_name">

			<intent-filter>

				<action
					android:name="android.intent.action.MAIN"/>

				<category
					android:name="android.intent.category.LAUNCHER"/>

			</intent-filter>

		</activity>

		<activity
			android:name=".LiveRangeFinderActivity"
			android:label="Live Find"/>

		<activity
			android:name=".DeviceManagerActivity"
			android:label="Bluetooth Items"/>

		<activity
			android:name=".MapActivity"
			android:label="Last Seen Map"/>

		<service
			android:name=".BluetoothTrackingService"
			android:enabled="true"/>

	</application>

</manifest>

